                                                                                                                                                                                                                                                               
Delivered-To: blauwirbel@gmail.com
Received: by 10.143.15.12 with SMTP id s12cs201979wfi;
        Fri, 7 Nov 2008 00:25:19 -0800 (PST)
Received: by 10.151.142.16 with SMTP id u16mr3090496ybn.244.1226046317726;
        Fri, 07 Nov 2008 00:25:17 -0800 (PST)
Return-Path: <qemu-devel-bounces+blauwirbel=gmail.com@nongnu.org>
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
        by mx.google.com with ESMTP id 8si6442290gxk.91.2008.11.07.00.25.17;
        Fri, 07 Nov 2008 00:25:17 -0800 (PST)
Received-SPF: pass (google.com: domain of qemu-devel-bounces+blauwirbel=gmail.com@nongnu.org designates 199.232.76.165 as permitted sender) client-ip=199.232.76.165;
Authentication-Results: mx.google.com; spf=pass (google.com: domain of qemu-devel-bounces+blauwirbel=gmail.com@nongnu.org designates 199.232.76.165 as permitted sender) smtp.mail=qemu-devel-bounces+blauwirbel=gmail.com@nongnu.org
Received: from localhost ([127.0.0.1]:59872 helo=lists.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1KyMWn-0006wn-Uj
	for blauwirbel@gmail.com; Fri, 07 Nov 2008 03:17:13 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1KyMVV-0006vR-7q
	for qemu-devel@nongnu.org; Fri, 07 Nov 2008 03:15:53 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1KyMVT-0006uw-O8
	for qemu-devel@nongnu.org; Fri, 07 Nov 2008 03:15:52 -0500
Received: from [199.232.76.173] (port=44480 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1KyMVT-0006ur-90
	for qemu-devel@nongnu.org; Fri, 07 Nov 2008 03:15:51 -0500
Received: from mx20.gnu.org ([199.232.41.8]:9236)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60) (envelope-from <revol@free.fr>) id 1KyMVT-0001cz-7U
	for qemu-devel@nongnu.org; Fri, 07 Nov 2008 03:15:51 -0500
Received: from smtp2-g19.free.fr ([212.27.42.28])
	by mx20.gnu.org with esmtp (Exim 4.60)
	(envelope-from <revol@free.fr>) id 1KyMVS-0005Wg-9l
	for qemu-devel@nongnu.org; Fri, 07 Nov 2008 03:15:50 -0500
Received: from smtp2-g19.free.fr (localhost.localdomain [127.0.0.1])
	by smtp2-g19.free.fr (Postfix) with ESMTP id 3832612B6C9
	for <qemu-devel@nongnu.org>; Fri,  7 Nov 2008 09:15:47 +0100 (CET)
Received: from laptop (vaf26-2-82-244-111-82.fbx.proxad.net [82.244.111.82])
	by smtp2-g19.free.fr (Postfix) with ESMTP id E973A12B707
	for <qemu-devel@nongnu.org>; Fri,  7 Nov 2008 09:15:46 +0100 (CET)
In-Reply-To: <1784605671-BeMail@laptop>
To: qemu-devel@nongnu.org
Subject: [Qemu-devel] atapi on ppc issue (was Re: qemu-system-ppc broken ?)
X-Mailer: BeMail - Mail Daemon Replacement 3.0.0 Final
From: "=?windows-1252?q?Fran=E7ois?= Revol" <revol@free.fr>
Date: Fri, 07 Nov 2008 09:19:59 +0100 CET
Message-Id: <3383842040-BeMail@laptop>
Mime-Version: 1.0
Content-Type: text/plain; charset="windows-1252"
Content-Transfer-Encoding: quoted-printable
X-detected-kernel: by mx20.gnu.org: Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-BeenThere: qemu-devel@nongnu.org
X-Mailman-Version: 2.1.5
Precedence: list
Reply-To: qemu-devel@nongnu.org
List-Id: qemu-devel.nongnu.org
List-Unsubscribe: <http://lists.nongnu.org/mailman/listinfo/qemu-devel>,
	<mailto:qemu-devel-request@nongnu.org?subject=unsubscribe>
List-Archive: <http://lists.gnu.org/pipermail/qemu-devel>
List-Post: <mailto:qemu-devel@nongnu.org>
List-Help: <mailto:qemu-devel-request@nongnu.org?subject=help>
List-Subscribe: <http://lists.nongnu.org/mailman/listinfo/qemu-devel>,
	<mailto:qemu-devel-request@nongnu.org?subject=subscribe>
Sender: qemu-devel-bounces+blauwirbel=gmail.com@nongnu.org
Errors-To: qemu-devel-bounces+blauwirbel=gmail.com@nongnu.org

> Though I still can't seem to get OpenHackware to read the CD:
> ERROR: ATAPI TEST=5FUNIT=5FREADY : status 50 !=3D 0x40

Replying to myself, it seems this works around the issue, at least it 
goes further.
I suppose OpenHackware only compares instead of checking the ready 
bit...

Btw, it seems the OH website is gone.
http://perso.magic.fr/l=5Findien just gives a 403...
For the time being archive.org can be used to dig the sources though:
http://web.archive.org/web/%2a/perso.magic.fr/l=5Findien/OpenHackWare/%2a

Fran=E7ois.


Index: qemu/hw/ide.c
===================================================================
--- qemu.orig/hw/ide.c	2008-11-23 16:17:49.000000000 +0200
+++ qemu/hw/ide.c	2008-11-23 16:39:21.000000000 +0200
@@ -941,7 +941,7 @@
 
     /* end of transfer ? */
     if (s->nsector == 0) {
-        s->status = READY_STAT | SEEK_STAT;
+        s->status = READY_STAT /*| SEEK_STAT */;
         ide_set_irq(s);
     eot:
         bm->status &= ~BM_STATUS_DMAING;
@@ -1089,7 +1089,7 @@
 static void ide_atapi_cmd_ok(IDEState *s)
 {
     s->error = 0;
-    s->status = READY_STAT | SEEK_STAT;
+    s->status = READY_STAT /*| SEEK_STAT*/;
     s->nsector = (s->nsector & ~7) | ATAPI_INT_REASON_IO | ATAPI_INT_REASON_CD;
     ide_set_irq(s);
 }
@@ -1214,7 +1214,7 @@
     if (s->packet_transfer_size <= 0) {
         /* end of transfer */
         ide_transfer_stop(s);
-        s->status = READY_STAT | SEEK_STAT;
+        s->status = READY_STAT /*| SEEK_STAT */;
         s->nsector = (s->nsector & ~7) | ATAPI_INT_REASON_IO | ATAPI_INT_REASON_CD;
         ide_set_irq(s);
 #ifdef DEBUG_IDE_ATAPI
@@ -2236,7 +2236,7 @@
         case WIN_READ_NATIVE_MAX:
 	    ide_cmd_lba48_transform(s, lba48);
             ide_set_sector(s, s->nb_sectors - 1);
-            s->status = READY_STAT | SEEK_STAT;
+            s->status = READY_STAT /*| SEEK_STAT*/;
             ide_set_irq(s);
             break;
         case WIN_CHECKPOWERMODE1:
